/*
 * Class MEM_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_121 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_121 [] = {0xFF01,237,120,0xFFFF};
static const EIF_TYPE_INDEX egt_2_121 [] = {0xFF01,120,0xFFFF};
static const EIF_TYPE_INDEX egt_3_121 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_121 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_121 [] = {0xFF01,120,0xFFFF};
static const EIF_TYPE_INDEX egt_6_121 [] = {0xFF01,120,0xFFFF};
static const EIF_TYPE_INDEX egt_7_121 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_121 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_121 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_121 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_121 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_121 [] = {0xFF01,120,0xFFFF};


static const struct desc_info desc_121[] = {
	{EIF_GENERIC(NULL), 1641, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_121), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_121), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_121), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_121), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_121), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_121), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_121), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_121), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_121), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_121), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_121), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_121), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xF1 /*120*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_121), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1077, 4},
	{EIF_NON_GENERIC(0x01AF /*215*/), 1078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1079, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1655, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 1080, 12},
	{EIF_NON_GENERIC(0x012F /*151*/), 1081, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 1636, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1637, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1638, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1639, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1642, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1644, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 1645, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1646, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1649, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1650, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1651, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1652, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1653, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1656, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1657, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1659, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1660, 0xFFFFFFFF},
};
void Init121(void)
{
	IDSC(desc_121, 0, 120);
	IDSC(desc_121 + 1, 1, 120);
	IDSC(desc_121 + 32, 313, 120);
	IDSC(desc_121 + 40, 335, 120);
	IDSC(desc_121 + 45, 327, 120);
}


#ifdef __cplusplus
}
#endif
